unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TestComponent, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    TestComponent: TTestComponent;
    bSet: TButton;
    bGet: TButton;
    lgBoolean: TLabel;
    lgString: TLabel;
    lgInteger: TLabel;
    lgItemSet: TLabel;
    Edit1: TEdit;
    CheckBox1: TCheckBox;
    Edit2: TEdit;
    ComboBox1: TComboBox;
    Bevel1: TBevel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure bSetClick(Sender: TObject);
    procedure bGetClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.bSetClick(Sender: TObject);
begin
  With TestComponent.ParentProperty do Begin
    SPString := Edit1.Text;
    SPBoolean := CheckBox1.Checked;
    Try
      SPInteger := StrToInt(Edit2.Text);
    Except
      MessageDlg('No valid number',mtWarning,[mbCancel],0);
      Edit2.SetFocus;
    End;
    Case ComboBox1.ItemIndex of
    0: SPItemSet := isItem1;
    1: SPItemSet := isItem2;
    2: SPItemSet := isItem3;
    End;
  End;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ComboBox1.ItemIndex := 0;
end;

procedure TForm1.bGetClick(Sender: TObject);
begin
  With TestComponent.ParentProperty do Begin
    lgString.Caption := SPString;
    If SPBoolean Then lgBoolean.Caption := 'True'
                 Else lgBoolean.Caption := 'False';
    lgInteger.Caption := IntToStr(SPInteger);
    Case SPItemSet of
    isItem1: lgItemSet.Caption := 'isItem1';
    isItem2: lgItemSet.Caption := 'isItem2';
    isItem3: lgItemSet.Caption := 'isItem3';
    End;
  End;
end;

end.
